#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:          bluedevil
Summary:       BlueDevil is the bluetooth stack for Plasma
Group:         Communications/Bluetooth
Version: 5.12.2
Release:       %mkrel %{rel}
License:       GPLv2
URL:           https://projects.kde.org/projects/extragear/base/bluedevil
Source0:       http://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz

#branch patches (100-199)

BuildRequires: kf5-macros
BuildRequires: bluez-qt-devel

BuildRequires: kded-devel
BuildRequires: kio-devel
BuildRequires: kcoreaddons-devel
BuildRequires: kwidgetsaddons-devel
BuildRequires: kdbusaddons-devel
BuildRequires: knotifications-devel
BuildRequires: kiconthemes-devel
BuildRequires: ki18n-devel
BuildRequires: plasma-framework-devel
BuildRequires: kwayland-devel

BuildRequires: pkgconfig(Qt5Gui)
BuildRequires: pkgconfig(Qt5Widgets)
BuildRequires: pkgconfig(Qt5Network)
BuildRequires: pkgconfig(Qt5Qml)
BuildRequires: pkgconfig(Qt5DBus)

Provides:      bluez-pin
Requires:      bluez >= 5
Requires:      obexd
Requires:      bluez-qt

%description
BlueDevil is the bluetooth stack for Plasma, it's composed of:
KCM, KDED, KIO, Library and some other small applications.

%files -f %{name}.lang 
%{_kf5_bindir}/*
%{_kf5_datadir}/plasma/plasmoids/org.kde.plasma.bluetooth
%{_kf5_qmldir}/org/kde/plasma/private/bluetooth
%{_qt5_plugindir}/bluetoothfileitemaction.so
%{_qt5_plugindir}/kcm_bluedeviladapters.so
%{_qt5_plugindir}/kcm_bluedevildevices.so
%{_qt5_plugindir}/kcm_bluedevilglobal.so
%{_qt5_plugindir}/kf5/kded/bluedevil.so
%{_qt5_plugindir}/kio_bluetooth.so
%{_qt5_plugindir}/kio_obexftp.so
%{_kf5_applicationdir}/org.kde.bluedevilsendfile.desktop
%{_kf5_applicationdir}/org.kde.bluedevilwizard.desktop
%{_kf5_datadir}/bluedevilwizard
%{_kf5_knotificationsdir}/bluedevil.notifyrc
%{_kf5_services}/*.desktop
%{_kf5_services}/*.protocol
%{_kf5_datadir}/mime/packages/bluedevil-mime.xml
%{_kf5_datadir}/remoteview/bluetooth-network.desktop
%{_kf5_appdatadir}/org.kde.plasma.bluetooth.appdata.xml

#-----------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5 -Wno-dev
%make_build

%install
%make_install -C build
%find_lang %{name} --all-name


%changelog
* Fri Feb 23 2018 neoclust <neoclust> 5.12.2-1.mga6
+ Revision: 1204471
- New version 5.12.2
- Sync with cauldron
- New version 5.12.1
- New version 5.11.95

* Sun May 28 2017 neoclust <neoclust> 5.8.7-2.mga6
+ Revision: 1105288
- Rebuild for armv7

* Fri May 26 2017 neoclust <neoclust> 5.8.7-1.mga6
+ Revision: 1104824
- New version 5.8.7
- New version 5.8.7

* Mon Mar 06 2017 neoclust <neoclust> 5.8.6-1.mga6
+ Revision: 1089010
- New version 5.8.6

* Sat Dec 31 2016 neoclust <neoclust> 5.8.5-2.mga6
+ Revision: 1078836
- Add missing dep on bluez-qt ( mga#16468 )

* Tue Dec 27 2016 neoclust <neoclust> 5.8.5-1.mga6
+ Revision: 1078145
- New version 5.8.5

* Mon Nov 28 2016 neoclust <neoclust> 5.8.4-1.mga6
+ Revision: 1070702
- New version 5.8.4

* Thu Nov 03 2016 neoclust <neoclust> 5.8.3-2.mga6
+ Revision: 1065168
- Rebuild against Qt 5.6.2

* Tue Nov 01 2016 neoclust <neoclust> 5.8.3-1.mga6
+ Revision: 1064462
- New version 5.8.3

* Sat Oct 22 2016 neoclust <neoclust> 5.8.2-1.mga6
+ Revision: 1063033
- New version 5.8.2
- New version 5.8.2

* Wed Oct 12 2016 neoclust <neoclust> 5.8.1-1.mga6
+ Revision: 1060258
- New version 5.8.1

* Thu Sep 29 2016 neoclust <neoclust> 5.8.0-1.mga6
+ Revision: 1057583
- New version 5.8.0

* Thu Sep 15 2016 neoclust <neoclust> 5.7.95-1.mga6
+ Revision: 1053037
- New version 5.7.95

* Wed Sep 14 2016 neoclust <neoclust> 5.7.5-2.mga6
+ Revision: 1052666
- New version 5.7.5

* Wed Sep 07 2016 neoclust <neoclust> 5.7.4-2.mga6
+ Revision: 1050293
- Rebuild on release

* Thu Aug 25 2016 neoclust <neoclust> 5.7.4-1.mga6
+ Revision: 1048773
- New version 5.7.4

* Tue Aug 02 2016 neoclust <neoclust> 5.7.3-4.mga6
+ Revision: 1044255
- New version 5.7.3

* Tue Jul 19 2016 neoclust <neoclust> 5.7.2-4.mga6
+ Revision: 1042543
- New version 5.7.2

* Tue Jul 12 2016 neoclust <neoclust> 5.7.1-4.mga6
+ Revision: 1041380
- New version 5.7.1

* Thu Jul 07 2016 neoclust <neoclust> 5.7.0-4.mga6
+ Revision: 1039486
- New version 5.7.0

* Fri Jun 17 2016 neoclust <neoclust> 5.6.5-4.mga6
+ Revision: 1021853
- New version 5.6.5

* Fri May 13 2016 neoclust <neoclust> 5.6.4-4.mga6
+ Revision: 1014524
- New version 5.6.4

* Wed May 04 2016 neoclust <neoclust> 5.6.3-4.mga6
+ Revision: 1009261
- New version 5.6.3

* Fri Apr 08 2016 neoclust <neoclust> 5.6.2-4.mga6
+ Revision: 999245
- New version 5.6.2

* Sun Apr 03 2016 neoclust <neoclust> 5.6.1-4.mga6
+ Revision: 998000
- New version 5.6.1

* Wed Mar 23 2016 neoclust <neoclust> 5.6.0-4.mga6
+ Revision: 994375
- New version 5.6.0

* Mon Mar 07 2016 neoclust <neoclust> 5.5.95-4.mga6
+ Revision: 987095
- Rebuild against kf5 5.20.0

* Wed Mar 02 2016 neoclust <neoclust> 5.5.95-3.mga6
+ Revision: 983729
- New version 5.5.95

* Tue Jan 26 2016 neoclust <neoclust> 5.5.4-3.mga6
+ Revision: 927956
- New version 5.5.4

* Wed Jan 13 2016 neoclust <neoclust> 5.5.3-3.mga6
+ Revision: 922493
- New version 5.5.3

* Fri Dec 25 2015 neoclust <neoclust> 5.5.2-3.mga6
+ Revision: 914826
- New version 5.5.2

* Tue Dec 22 2015 neoclust <neoclust> 5.5.1-3.mga6
+ Revision: 913594
- Rebuild against Qt 5.6.0 Beta

* Tue Dec 15 2015 neoclust <neoclust> 5.5.1-2.mga6
+ Revision: 910675
- New version 5.5.1

* Tue Dec 08 2015 neoclust <neoclust> 5.5.0-2.mga6
+ Revision: 908836
- New version 5.5.0

* Fri Nov 20 2015 neoclust <neoclust> 5.4.95-2.mga6
+ Revision: 904389
- New version 5.4.95

* Tue Nov 10 2015 neoclust <neoclust> 5.4.90-2.mga6
+ Revision: 900728
- Rebuild against fixed qtbase5

* Mon Nov 09 2015 neoclust <neoclust> 5.4.90-1.mga6
+ Revision: 899824
- New version 5.4.90

* Sun Oct 11 2015 neoclust <neoclust> 5.4.2-1.mga6
+ Revision: 889503
- New version 5.4.2

* Wed Sep 09 2015 neoclust <neoclust> 5.4.1-1.mga6
+ Revision: 874719
- New version 5.4.1

* Wed Aug 26 2015 neoclust <neoclust> 5.4.0-1.mga6
+ Revision: 869627
- New version 5.4.0

* Wed Aug 12 2015 neoclust <neoclust> 5.3.95-1.mga6
+ Revision: 863610
- New version 5.3.95

* Mon Jul 06 2015 neoclust <neoclust> 5.3.2-1.mga6
+ Revision: 851808
- Update to plasma release

  + lmenut <lmenut>
    - add missing buildrequires
    - remove old requires & obsoletes
    - add upstream patch to build bluedevil 5.3.* with bluez-qt 5.11
    - update source, summary & description
    - Update to 5.3.2

* Mon Jun 22 2015 lmenut <lmenut> 2.1.1-2.mga6
+ Revision: 838693
- Update to 2.1.1
  fix bluedevil on resume from suspend (mga#16072, bko#343682)

* Wed Dec 24 2014 lmenut <lmenut> 2.1-1.mga5
+ Revision: 805274
- Update to 2.1

* Sat Dec 06 2014 lmenut <lmenut> 2.0.0-1.mga5
+ Revision: 801754
- Update to 2.0 final

* Wed Oct 15 2014 umeabot <umeabot> 2.0.0-0.git20140216.5.mga5
+ Revision: 749416
- Second Mageia 5 Mass Rebuild

* Thu Sep 18 2014 umeabot <umeabot> 2.0.0-0.git20140216.4.mga5
+ Revision: 693508
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 2.0.0-0.git20140216.3.mga5
+ Revision: 678180
- Mageia 5 Mass Rebuild

* Thu Feb 20 2014 lmenut <lmenut> 2.0.0-0.git20140216.2.mga5
+ Revision: 595200
- update git snapshot

* Mon Dec 16 2013 lmenut <lmenut> 2.0.0-0.git20131128.1.mga4
+ Revision: 557938
- update bluez5 branch snapshot

* Sun Nov 03 2013 lmenut <lmenut> 2.0.0-0.git20131101.1.mga4
+ Revision: 549289
- update bluez5 branch snapshot

* Sun Oct 27 2013 lmenut <lmenut> 2.0.0-0.git20131011.3.mga4
+ Revision: 547435
- add translations

* Tue Oct 22 2013 umeabot <umeabot> 2.0.0-0.git20131011.2.mga4
+ Revision: 545377
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 lmenut <lmenut> 2.0.0-0.git20131011.1.mga4
+ Revision: 501187
- use bluez5 branch snapshot

* Fri Sep 06 2013 fwang <fwang> 1.3.2-1.mga4
+ Revision: 475363
- new version 1.3.2

* Thu Jun 13 2013 fwang <fwang> 1.3.1-1.mga4
+ Revision: 442303
- update file list
- revert version bump
- update br
- new version 1.3.1

* Fri Jan 11 2013 umeabot <umeabot> 1.3-2.mga3
+ Revision: 346922
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 31 2012 fwang <fwang> 1.3-1.mga3
+ Revision: 336659
- new version 1.3

* Tue Oct 09 2012 fwang <fwang> 1.3-0.rc3.1.mga3
+ Revision: 303804
- new version 1.3 rc3

* Wed Oct 03 2012 malo <malo> 1.3-0.rc2.2.mga3
+ Revision: 302253
- update RPM group

* Thu May 03 2012 mikala <mikala> 1.3-0.rc2.1.mga2
+ Revision: 234686
- Remove sed line (missing ; fix upstream)
- Update tarball to 1.3 rc2

* Sun Mar 11 2012 anssi <anssi> 1.3-0.rc1.2.mga2
+ Revision: 222795
- fix versioned obsoletes for smooth upgrade from kbluetooth

  + mikala <mikala>
    - Fix group
    - Fix macro usage

* Mon Oct 10 2011 mikala <mikala> 1.3-0.rc1.1.mga2
+ Revision: 153661
- Update tarball to 1.3 rc1
- use pkgconfig() for BR

* Wed Oct 05 2011 mikala <mikala> 1.2.1-1.mga2
+ Revision: 151582
- Update tarball to 1.2.1
- Remove %%defattr()
- Fix license

* Thu Sep 01 2011 ze <ze> 1.2-0.rc2.1.mga2
+ Revision: 137458
- fix categories for desktop files network-dun and network-panu
- fix sha
- update source
- fix renaming
- remove clean section (done by default)
- version 1.2-rc2

  + fwang <fwang>
    - new version 1.1.1

  + misc <misc>
    - do not requires bluez-sdp, as it was merged with bluez, already required

* Tue May 03 2011 mikala <mikala> 1.1-0.mga1
+ Revision: 94334
- Versionnate BR ( bluedevil 1.1 need libbluedevil 1.9)
- Update tarball to 1.1

* Sun Apr 10 2011 dmorgan <dmorgan> 1.0.4-2.mga1
+ Revision: 82740
- Obsoletes kbluetooth ( cf -dev ML)

* Tue Apr 05 2011 mikala <mikala> 1.0.4-1.mga1
+ Revision: 80673
- Update tarball to 1.0.4

* Thu Mar 24 2011 mikala <mikala> 1.0.3-1.mga1
+ Revision: 76380
- Update tarball to 1.0.3

* Mon Feb 21 2011 mikala <mikala> 1.0.2-1.mga1
+ Revision: 55324
- Remove BuildRoot
- Add an obsolete against kdebluetooth
- Add a require for obexd (runtime dependency)
- imported package bluedevil


* Fri Feb 04 2011 Funda Wang <fwang@mandriva.org> 1.0.2-1mdv2011.0
+ Revision: 635765
- New version 1.0.2

* Wed Dec 22 2010 John Balcaen <mikala@mandriva.org> 1.0.1-1mdv2011.0
+ Revision: 623850
- Update to 1.0.1
- add %%find_lang macro

* Sat Nov 20 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 1.0-1mdv2011.0
+ Revision: 599294
- v1.0 final

* Sun Oct 31 2010 John Balcaen <mikala@mandriva.org> 1.0-0.rc4.1.1mdv2011.0
+ Revision: 590948
- Update to rc4-1

* Thu Sep 16 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 1.0-0.rc4.1mdv2011.0
+ Revision: 579046
- update to 1.0-rc4; remove patch0

* Sun Sep 05 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 0.1-3mdv2011.0
+ Revision: 576104
- patch0: update to git tip a6447c57 to fix upstream bug #246968

  + Funda Wang <fwang@mandriva.org>
    - make it in build step first

* Fri Aug 06 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.1-2mdv2011.0
+ Revision: 567180
- Fix Provides

* Fri Aug 06 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.1-1mdv2011.0
+ Revision: 566511
- import bluedevil


